
// FPShooter3D.java
// Andrew Davison, April 2005, ad@fivedots.coe.psu.ac.th

/* Obvyklý herní svět s šachovnicí, s jehož pomocí demonstrujeme
   programování střílečky z vlastního pohledu (FPS).

   Ruku se zbraní tvoří textura přidaná k výhledu uživatele a ovládaná
   třídou KeyBehavior. Při střelbě se objeví paprsek.
   Zasáhne-li 'cíl', tak exploduje, jinak prostě zmizí.
 
   Pomocí třídy PropManager načítáme 'cíl' v podobně modelu robota.

   V jenom okamžiku může existovat více paprsků i explozí
     - děláme to pomocí vláken, veškeré geometrické tvary však vytváříme
       v době inicializace a opakovaně používáme.
*/

import javax.swing.*;
import java.awt.*;



public class FPShooter3D extends JFrame
{
  public FPShooter3D() 
  {
    super("FPShooter3D");

    Container c = getContentPane();
    c.setLayout( new BorderLayout() );
    WrapFPShooter3D w3d = new WrapFPShooter3D();
    c.add(w3d, BorderLayout.CENTER);

    setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
    pack();
    setResizable(false);    // rozměry okna jsou pevně dány
    setVisible(true);
  } // konec metody: FPShooter3D()


// -----------------------------------------

  public static void main(String[] args)
  { new FPShooter3D(); }

} // konec třídy: FPShooter3D
